Public Class frmImage

  Private Sub frmImage_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
    'initialize stretch mode
    rdoStretch.PerformClick()
  End Sub

 
  Private Sub drvImage_SelectedValueChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles drvImage.SelectedValueChanged
    'If drive changes, update directory
    dirImage.Path = drvImage.Drive
  End Sub

  Private Sub dirImage_Change(ByVal sender As Object, ByVal e As System.EventArgs) Handles dirImage.Change
    'If directory changes, update file path
    filImage.Path = dirImage.Path
  End Sub

  Private Sub filImage_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles filImage.SelectedIndexChanged
    'Get complete path to file name and open graphics
    Dim ImageName As String
    If Mid(filImage.Path, Len(filImage.Path), 1) = "\" Then
      ImageName = filImage.Path + filImage.FileName
    Else
      ImageName = filImage.Path + "\" + filImage.FileName
    End If
    txtImage.Text = ImageName
    picImage.Image = Image.FromFile(ImageName)
  End Sub

  Private Sub rdoNormal_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rdoNormal.CheckedChanged
    picImage.SizeMode = PictureBoxSizeMode.Normal
  End Sub


  Private Sub rdoCenter_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rdoCenter.CheckedChanged
    picImage.SizeMode = PictureBoxSizeMode.CenterImage
  End Sub

  Private Sub rdoStretch_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rdoStretch.CheckedChanged
    picImage.SizeMode = PictureBoxSizeMode.StretchImage
  End Sub

  Private Sub rdoZoom_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rdoZoom.CheckedChanged
    picImage.SizeMode = PictureBoxSizeMode.Zoom
  End Sub
End Class
